LazyToOneOption (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum LazyToOneOption

    java.lang.Object
      java.lang.Enum<LazyToOneOption>
          org.hibernate.annotations.LazyToOneOption

All Implemented Interfaces:
  Serializable, Comparable<LazyToOneOption>

    public enum LazyToOneOption

extends Enum<LazyToOneOption>

Lazy options available for a ToOne association

Enum Constant Summary
`FALSE` eagerly load the association
`NO_PROXY` Lazy, give back the real object loaded when a reference is requested (Bytecode enhancement is mandatory for this option, fall back to PROXY if the class is not enhanced) This option should be avoided unless you can't afford the use of proxies
`PROXY` Lazy, give back a proxy which will be loaded when the state is requested This should be the prefered option

Method Summary
`static LazyToOneOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LazyToOneOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FALSE

    public static final LazyToOneOption FALSE

  eagerly load the association

### PROXY

    public static final LazyToOneOption PROXY

  Lazy, give back a proxy which will be loaded when the state is requested This should be the prefered option

### NO_PROXY

    public static final LazyToOneOption NO_PROXY

  Lazy, give back the real object loaded when a reference is requested (Bytecode enhancement is mandatory for this option, fall back to PROXY if the class is not enhanced) This option should be avoided unless you can't afford the use of proxies

Method Detail

### values

    public static LazyToOneOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LazyToOneOption c : LazyToOneOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LazyToOneOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.